Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ox.jaxb
Class JAXBTypesafeEnumConverter

`java.lang.Object
oracle.toplink.ox.jaxb.JAXBTypesafeEnumConverter`

All Implemented Interfaces:
  Converter, java.io.Serializable

public class JAXBTypesafeEnumConverter
extends java.lang.Object
implements Converter

Purpose: JAXBTypesafeEnumConverter is used to allow mapping to type safe enums according to the JAXB 1.0 spec. Object values are not modified by the converter when writing data values. Data values are read in and the "fromString" method on the enumeration class is invoked with the data value as a parameter. The return value from the "fromString" method will be an instance of the enum class specified on the mapping.

See Also:
  Serialized Form

Constructor Summary
`JAXBTypesafeEnumConverter()` PUBLIC: Default constructor.

Method Summary
`java.lang.Class` | `getEnumClass()` PUBLIC: Get the class which was set as the enum class which contains the fromValue method.
`java.lang.String` | `getEnumClassName()` PUBLIC: Get the name of the enum class which contains the fromValue method.
`boolean` | `isMutable()` PUBLIC: If the converter converts the value to a mutable value, i.e.
`void` | `setEnumClass(java.lang.Class enumClass)` PUBLIC: Set the enum class to know which class to invoke the fromValue method on.
`void` | `setEnumClassName(java.lang.String newClassName)` PUBLIC: Set the name of the enum class to know which class to invoke the fromValue method on.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAXBTypesafeEnumConverter

    public JAXBTypesafeEnumConverter()

  PUBLIC: Default constructor.

Method Detail

### isMutable

    public boolean isMutable()

  Description copied from interface: `Converter`
  PUBLIC: If the converter converts the value to a mutable value, i.e. a value that can have its' parts changed without being replaced, then it must return true. If the value is not mutable, cannot be changed without replacing the whole value then false must be returned. This is used within the UnitOfWork to determine how to clone.
  Specified by:
    `isMutable` in interface `Converter`

### getEnumClassName

    public java.lang.String getEnumClassName()

  PUBLIC: Get the name of the enum class which contains the fromValue method.

### setEnumClassName

    public void setEnumClassName(java.lang.String newClassName)

  PUBLIC: Set the name of the enum class to know which class to invoke the fromValue method on.

### setEnumClass

    public void setEnumClass(java.lang.Class enumClass)

  PUBLIC: Set the enum class to know which class to invoke the fromValue method on.

### getEnumClass

    public java.lang.Class getEnumClass()

  PUBLIC: Get the class which was set as the enum class which contains the fromValue method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD